<?php 
/**
 * Class ST_Proqyz_Admin_Page_Settings
 */
defined( 'ABSPATH' ) || exit;


/**
  * Class.
  */
class ST_ProQyz_Admin_Page_Settings {
    /**
     * Hook in tabs.
    */
    public function __construct() {
        $this->define_constants();
        $this->hooks();
        $this->includes();
    }

    /**
     * register hooks
    */
    public function hooks() { }
    public function define_constants(){}


    /**
     * includes
    */
    public function includes() { }
    public static function get_tabs() {
        return [
            (object) [
                "title" => "Result Page",
                "slug"  => "result-page",
                "template" => "result-page.php"
            ]
        ];
    }

    public static function get_page_layout(){
        require_once ST_PROQYZ_ABSPATH . "/includes/templates/admin/settings/settings.php"; // checked
    }

}
